Sign in to follow this  
flyforever

how does one choose which to update?

Recommended Posts

Other than the mandatory client, when does one have to update scenery and content as well? I have a new installation with just a few aircraft add ons. The rest is still default p3dv4.

thanks

tony

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

Nothing is mandatory.  I'm sure there are still people on P3D 2.5.    totally up to you what you want to update.   LM lays out the changes to each module.   If the changes in the Scenery module are something you feel like you need then i guess you need to update it.   

I did all 3.  But just my preference.

But some updates if the changes in the scenery or content are geared toward something i don't use or something inconsequential then i don't update.  

 

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this